------------------------------------------------------------------------------------
--Name:  	juqing5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-10-29
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(85, 175)
local Player_1 = CppScriptMgr:AddSimplePlayer(1060267, 80, 172, "Sammy", 0, 0)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:AddSimplePlayer(106190, 86, 178, "", 0, 0)
Player_2:SetZoomPercent(150)
local Player_3 = CppScriptMgr:AddSimplePlayer(1060273, 92, 184, "Judith", 0, 0)
Player_3:SetDir(3)
local Player_4 = CppScriptMgr:AddSimplePlayer(1060314, 84, 184, "Buffy", 0, 0)
Player_4:SetDir(4)
local Player_5 = CppScriptMgr:AddSimplePlayer(1060322, 92, 176, "Pann", 0, 0)
Player_5:SetDir(2)
local Player_6 = CppScriptMgr:AddSimplePlayer(1060330, 86, 168, "CatCommander", 0, 0)
Player_6:SetDir(0)
local Player_7 = CppScriptMgr:QueryHero()
Player_7:SetPos(80, 180)
Player_7:SetDir(5)
local effect_0 = CppScriptMgr:AddEffect("Fruits_xhc", 84, 176, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("Fruits_bossjs", 84, 176, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("The stars shine brightly tonight. Let`s have a toast!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("To blessings and gratitude for everything!", 1500)
Player_3:Say("To blessings and gratitude for everything!", 1500)
Player_4:Say("To blessings and gratitude for everything!", 1500)
Player_5:Say("To blessings and gratitude for everything!", 1500)
Player_6:Say("To blessings and gratitude for everything!", 1500)
Player_7:Say("To blessings and gratitude for everything!", 1500)
CppScriptMgr:WaitMilSec(1500)
local Effect_1 = CppScriptMgr:AddEffect("dpsh_atk", 80, 172, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Effect_2 = CppScriptMgr:AddEffect("dpsh_atk", 80, 172, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(430)
local Effect_3 = CppScriptMgr:AddEffect("ty_ymz", 76, 168, 33, 1, 1, 1)
Effect_3:Scale(3, 3, 3)
Player_1:SetAction(330)
CppScriptMgr:ShakeScrEffect(1)
Player_1:Say("Ah!!!", 1000)
CppScriptMgr:WaitMilSec(1190)
Player_3:Say("Sammy!!!", 1500)
Player_4:Say("Sammy!!!", 1500)
Player_5:Say("Sammy!!!", 1500)
Player_6:Say("Sammy!!!", 1500)
Player_7:Say("Sammy!!!", 1500)
CppScriptMgr:WaitMilSec(1810)